import os
from playwright.sync_api import Playwright, sync_playwright
from playwright.sync_api import Page, expect
from tools.get_log import GetLog

logger = GetLog.get_log()
def test_run(page: Page) -> None:
    """
    名称：阅读书籍
    步骤：
    1、点击搜索框
    2、输入金牌卧底
    3、点击搜索按钮
    4、搜索结果页点击书籍名称进入书籍详情开始阅读
    检查点：
    * 书籍章节标题：第一章 让我泡她
    """
    casename = os.path.splitext(os.path.basename(__file__))[0]
    logger.info("正在执行用例:{}".format(casename))

    page.get_by_placeholder("书名、作者、关键字").click()
    page.get_by_placeholder("书名、作者、关键字").fill("金牌卧底")
    page.locator("#btnSearch i").click()
    page.get_by_role("link", name="金牌卧底").click()
    page.get_by_role("link", name="点击阅读").click()

    # Click text=2月上架的月卡
    #page.click("text=2月上架的月卡")
    article_title = page.get_by_role("heading", name="第一章 让我泡她")
    print(article_title)
    try:
        assert article_title is not None
        logger.info("用例{}的断言结果为{}".format(casename,article_title is not None))
    except Exception as e:
        logger.error("用例{}的断言结果为{},错误信息是：{}".format(casename, article_title is not None, e))
        raise

    # Close page
#     page.close()
#
#     # ---------------------
#     context.close()
#     browser.close()
#
#
# with sync_playwright() as playwright:
#     run(playwright)
